Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class ValueImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NonEmptyPatternImpl
          xmltorng.document.relaxng.impl.ValueImpl

All Implemented Interfaces:
  NonEmptyPattern, Pattern, Value

    public class ValueImpl

extends NonEmptyPatternImpl
implements Value

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`PATTERN_ATTRIBUTE, PATTERN_DATA, PATTERN_GROUP, PATTERN_LIST, PATTERN_REF, PATTERN_TEXT, PATTERN_VALUE`

Constructor Summary
`ValueImpl(java.lang.String type, java.lang.String datatypeLibraryURI, java.lang.String nsURI, java.lang.String value)`

Method Summary
`java.lang.String` | `getDatatypeLibraryURI()` Return the datatype library URI.
`java.lang.String` | `getNsURI()` Return the namespace URI.
`int` | `getPatternType()` Return the pattern type.
`java.lang.String` | `getType()` Return the value type.
`java.lang.String` | `getValue()` Return the value.

Methods inherited from class xmltorng.document.relaxng.impl.NonEmptyPatternImpl
`canBeRepeated, isEmpty, setBeRepeated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`canBeRepeated`

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Constructor Detail

### ValueImpl

    public ValueImpl(java.lang.String type,
                     java.lang.String datatypeLibraryURI,
                     java.lang.String nsURI,
                     java.lang.String value)

Method Detail

### getPatternType

    public int getPatternType()

  Description copied from interface: `NonEmptyPattern`
  Return the pattern type. Is one of the PATTERN_* constants.

  Specified by:
    `getPatternType` in interface `NonEmptyPattern`

### getType

    public java.lang.String getType()

  Description copied from interface: `Value`
  Return the value type. Is a not null NCName.

  Specified by:
    `getType` in interface `Value`

### getDatatypeLibraryURI

    public java.lang.String getDatatypeLibraryURI()

  Description copied from interface: `Value`
  Return the datatype library URI. Is not null.

  Specified by:
    `getDatatypeLibraryURI` in interface `Value`

### getNsURI

    public java.lang.String getNsURI()

  Description copied from interface: `Value`
  Return the namespace URI. Is not null.

  Specified by:
    `getNsURI` in interface `Value`

### getValue

    public java.lang.String getValue()

  Description copied from interface: `Value`
  Return the value. Is not null.

  Specified by:
    `getValue` in interface `Value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD